Notifications

List Notifications

GET
/v0/notifications

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Query Parameters

limit?string|null
unreadOnly?|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/notifications"
[  {    "id": "string",    "type": "organization_invite",    "userId": "string",    "actorUserId": "string",    "actorName": "string",    "organizationId": "string",    "organizationName": "string",    "projectId": "string",    "projectName": "string",    "projectSlug": "string",    "issueId": "string",    "issueTitle": "string",    "commentId": "string",    "commentPreview": "string",    "invitationId": "string",    "readAt": "string",    "createdAt": "string"  }]
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}
{  "_tag": "NotificationError",  "message": "string"}